=== modified file 'bzrlib/help_topics.py'
--- bzrlib/help_topics.py	2007-02-07 20:52:20 +0000
+++ bzrlib/help_topics.py	2007-02-07 21:08:04 +0000
@@ -99,6 +99,7 @@
 
     return ''.join(out)
 
+
 def _help_on_transport(name):
     from bzrlib.transport import (
         transport_list_registry,
@@ -124,8 +125,6 @@
     out = []
     protl = []
     decl = []
-    protl.append("\nSupported URL prefix\n--------------------\n")
-    decl.append("\nSupported modifiers\n-------------------\n")
     protos = transport_list_registry.keys( )
     protos.sort(sort_func)
     for proto in protos:
@@ -138,7 +137,12 @@
             decl.extend(add_string(proto, shorthelp, 79))
 
 
-    out = ''.join(protl+decl)
+    out = "\nSupported URL prefix\n--------------------\n" + \
+            ''.join(protl)
+
+    if len(decl):
+        out += "\nSupported modifiers\n-------------------\n" + \
+            ''.join(decl)
 
     return out
 

=== modified file 'bzrlib/tests/blackbox/test_help.py'
--- bzrlib/tests/blackbox/test_help.py	2006-12-14 21:45:21 +0000
+++ bzrlib/tests/blackbox/test_help.py	2007-02-07 21:08:04 +0000
@@ -51,6 +51,18 @@
         self.assertContainsRe(out, 'ancestor:')
         self.assertContainsRe(out, 'branch:')
 
+    def test_help_urlspec(self):
+        """Smoke test for 'bzr help urlspec'"""
+        out, err = self.run_bzr('help', 'urlspec')
+        self.assertContainsRe(out, 'aftp://')
+        self.assertContainsRe(out, 'bzr://')
+        self.assertContainsRe(out, 'bzr\+ssh://')
+        self.assertContainsRe(out, 'file://')
+        self.assertContainsRe(out, 'ftp://')
+        self.assertContainsRe(out, 'http://')
+        self.assertContainsRe(out, 'https://')
+        self.assertContainsRe(out, 'sftp://')
+
     def test_help_commands(self):
         dash_help  = self.runbzr('--help commands')[0]
         commands   = self.runbzr('help commands')[0]

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2007-02-07 20:52:20 +0000
+++ bzrlib/transport/__init__.py	2007-02-07 21:08:04 +0000
@@ -1176,19 +1176,23 @@
 register_lazy_transport('sftp://', 'bzrlib.transport.sftp', 'SFTPTransport')
 
 register_transport_proto('http+urllib://',
-            help="Read-only access of branches exported on the web.")
+#                help="Read-only access of branches exported on the web."
+            )
 register_lazy_transport('http+urllib://', 'bzrlib.transport.http._urllib',
                         'HttpTransport_urllib')
 register_transport_proto('https+urllib://',
-            help="Read-only access of branches exported on the web using SSL.")
+#                help="Read-only access of branches exported on the web using SSL."
+            )
 register_lazy_transport('https+urllib://', 'bzrlib.transport.http._urllib',
                         'HttpTransport_urllib')
 register_transport_proto('http+pycurl://',
-            help="Read-only access of branches exported on the web.")
+#                help="Read-only access of branches exported on the web."
+            )
 register_lazy_transport('http+pycurl://', 'bzrlib.transport.http._pycurl',
                         'PyCurlTransport')
 register_transport_proto('https+pycurl://',
-            help="Read-only access of branches exported on the web using SSL.")
+#                help="Read-only access of branches exported on the web using SSL."
+            )
 register_lazy_transport('https+pycurl://', 'bzrlib.transport.http._pycurl',
                         'PyCurlTransport')
 register_transport_proto('http://',
@@ -1215,7 +1219,8 @@
 register_lazy_transport('chroot+', 'bzrlib.transport.chroot',
                         'ChrootTransportDecorator')
 register_transport_proto('readonly+',
-            help="This modifier converts any transport to be readonly.")
+#              help="This modifier converts any transport to be readonly."
+            )
 register_lazy_transport('readonly+', 'bzrlib.transport.readonly', 'ReadonlyTransportDecorator')
 register_transport_proto('fakenfs+')
 register_lazy_transport('fakenfs+', 'bzrlib.transport.fakenfs', 'FakeNFSTransportDecorator')
@@ -1230,7 +1235,8 @@
                         'bzrlib.transport.smart',
                         'SmartTCPTransport')
 register_transport_proto('bzr+http://',
-            help="Fast access using the Bazaar smart server over HTTP.")
+#                help="Fast access using the Bazaar smart server over HTTP."
+             )
 register_lazy_transport('bzr+http://',
                         'bzrlib.transport.smart',
                         'SmartHTTPTransport')

